## scribus-ng 1.3.3.6.dfsg-1

=== scribus/CMakeLists.txt ===
#Subdirectories
ADD_SUBDIRECTORY(dicts)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(dtd)
ADD_SUBDIRECTORY(icons)
ADD_SUBDIRECTORY(keysets)
IF(RENDER_LIB STREQUAL "LIBART")
  ADD_SUBDIRECTORY(libart)
ENDIF(RENDER_LIB STREQUAL "LIBART")
ADD_SUBDIRECTORY(loremipsum)
ADD_SUBDIRECTORY(manpages)
ADD_SUBDIRECTORY(pixbuf)
ADD_SUBDIRECTORY(plugins)
ADD_SUBDIRECTORY(profiles)
ADD_SUBDIRECTORY(qm)
ADD_SUBDIRECTORY(swatches)
ADD_SUBDIRECTORY(templates)
ADD_SUBDIRECTORY(text)


SET(SCRIBUS_UI_SRC
aboutpluginsbase.ui
docitemattrprefsbase.ui
docsectionsbase.ui
multiprogressdialogbase.ui
pageitemattributesbase.ui
smlinestylewbase.ui
stylemanagerbase.ui
tocindexprefsbase.ui
useprintermarginsdialogbase.ui
)

SET(SCRIBUS_MOC_CLASSES
about.h
aboutplugins.h
actionmanager.h
aligndistribute.h
alignselect.h
annota.h
annot.h
applytemplatedialog.h
arrowchooser.h
autoform.h
autoformbuttongroup.h
bookmwin.h
bookpalette.h
buttonicon.h
charselect.h
checkDocument.h
cmsprefs.h
cmykfw.h
collect4output.h
colorchart.h
colorm.h
colorsetmanager.h
colorcombo.h
commonstrings.h
cpalette.h
cupsoptions.h
customfdialog.h
dcolor.h
deferredtask.h
delpages.h
docinfo.h
docitemattrprefs.h
docsections.h
druck.h
edit1format.h
editformats.h
editor.h
effectsdialog.h
extimageprops.h
fileloader.h
filesearch.h
filewatcher.h
fontcombo.h
fontprefs.h
fontreplacedialog.h
frameedit.h
gradienteditor.h
gtdialogs.h
guidemanager.h
helpbrowser.h
hruler.h
hyask.h
hyphenator.h
hysettings.h
imageinfodialog.h
insertTable.h
inspage.h
javadocs.h
keymanager.h
layers.h
lineformats.h
loadsaveplugin.h
loremipsum.h
margindialog.h
marginWidget.h
mdup.h
measurements.h
menumanager.h
mergedoc.h
movepage.h
missing.h
mpalette.h
mspinbox.h
multiline.h
multiprogressdialog.h
muster.h
navigator.h
newfile.h
newtemp.h
pageitem.h
pageitemattributes.h
pageitem_imageframe.h
pageitem_line.h
pageitem_pathtext.h
pageitem_polygon.h
pageitem_polyline.h
pageitem_textframe.h
pagelayout.h
pageselector.h
pdflib.h
pdfopts.h
picsearch.h
picstatus.h
pluginmanager.h
pluginmanagerprefsgui.h
polygonwidget.h
polyprops.h
prefs.h
prefsdialogbase.h
prefsmanager.h
prefspanel.h
preview.h
pslib.h
query.h
reformdoc.h
rulermover.h
sampleitem.h
sccolorshade.h
scmenu.h
scmessagebox.h
scplugin.h
scpreview.h
scraction.h
scrap.h
scribus.h
scribusapp.h
scribusdoc.h
scribusview.h
scribusXml.h
scribuswin.h
scrpalettebase.h
sctoolbar.h
search.h
seiten.h
selection.h
selfield.h
shadebutton.h
smlinestyle.h
spalette.h
story.h
styleitem.h
stylemanager.h
styleselect.h
tabcheckdoc.h
tabguides.h
tabmanager.h
tabpdfoptions.h
tabruler.h
tabtools.h
tabtypography.h
tocgenerator.h
tocindexprefs.h
tree.h
undogui.h
undomanager.h
upgradechecker.h
useprintermarginsdialog.h
vruler.h
werktoolb.h
)

# linkbutton.h

SET(SCRIBUS_SOURCES
about.cpp
aboutplugins.cpp
actionmanager.cpp
aligndistribute.cpp
alignselect.cpp
annota.cpp
annot.cpp
applytemplatedialog.cpp
arrowchooser.cpp
autoformbuttongroup.cpp
autoform.cpp
bookmwin.cpp
bookpalette.cpp
buttonicon.cpp
charselect.cpp
checkDocument.cpp
cmserrorhandling.cpp
cmykfw.cpp
cmsprefs.cpp
cmsutil.cpp
collect4output.cpp
colorchart.cpp
colorcombo.cpp
colorm.cpp
colorsetmanager.cpp
commonstrings.cpp
cpalette.cpp
cupsoptions.cpp
customfdialog.cpp
dcolor.cpp
deferredtask.cpp
delpages.cpp
docinfo.cpp
docitemattrprefs.cpp
docsections.cpp
documentchecker.cpp
documentinformation.cpp
druck.cpp
dynamictip.cpp
editor.cpp
edit1format.cpp
editformats.cpp
effectsdialog.cpp
exif.cpp
extimageprops.cpp
fileloader.cpp
filesearch.cpp
fileunzip.cpp
filewatcher.cpp
fmitem.cpp
fontcombo.cpp
fontprefs.cpp
fontreplacedialog.cpp
fparser.cpp
fpointarray.cpp
fpoint.cpp
fpoptimizer.cpp
frameedit.cpp
gradienteditor.cpp
gsutil.cpp
gtaction.cpp
gtdialogs.cpp
gtfont.cpp
gtframestyle.cpp
gtgettext.cpp
gtmeasure.cpp
gtparagraphstyle.cpp
gtstyle.cpp
gtwriter.cpp
guidemanager.cpp
helpbrowser.cpp
hnjalloc.c
hruler.cpp
hyask.cpp
hyphen.c
hyphenator.cpp
hysettings.cpp
imageinfodialog.cpp
insertTable.cpp
inspage.cpp
ioapi.c
javadocs.cpp
keymanager.cpp
langmgr.cpp
layers.cpp
linecombo.cpp
lineformats.cpp
linkbutton.cpp
loadsaveplugin.cpp
loremipsum.cpp
main.cpp
margindialog.cpp
marginWidget.cpp
md5.c
mdup.cpp
measurements.cpp
menumanager.cpp
mergedoc.cpp
movepage.cpp
missing.cpp
mpalette.cpp
mspinbox.cpp
multiline.cpp
multiprogressdialog.cpp
muster.cpp
navigator.cpp
newfile.cpp
newtemp.cpp
page.cpp
pageitem.cpp
pageitemattributes.cpp
pageitem_imageframe.cpp
pageitem_line.cpp
pageitem_pathtext.cpp
pageitem_polygon.cpp
pageitem_polyline.cpp
pageitem_textframe.cpp
pagelayout.cpp
pageselector.cpp
pagesize.cpp
pdflib.cpp
pdfoptions.cpp
pdfoptionsio.cpp
pdfopts.cpp
picsearch.cpp
picstatus.cpp
pluginmanager.cpp
pluginmanagerprefsgui.cpp
polygonwidget.cpp
polyprops.cpp
prefs.cpp
prefscontext.cpp
prefsdialogbase.cpp
prefsfile.cpp
prefspanel.cpp
prefsreader.cpp
prefsmanager.cpp
prefstable.cpp
preview.cpp
printerutil.cpp
pslib.cpp
query.cpp
rc4.c
reformdoc.cpp
rulermover.cpp
sampleitem.cpp
sccolor.cpp
sccolorshade.cpp
sccombobox.cpp
scfonts.cpp
scfonts_ttf.cpp
scfontmetrics.cpp
scimage.cpp
scpainter.cpp
scpaths.cpp
scplugin.cpp
scpreview.cpp
scraction.cpp
scrap.cpp
scribus.cpp
scribusapp.cpp
scribusdoc.cpp
scribusview.cpp
scribusXml.cpp
scribuswin.cpp
scrpalettebase.cpp
scmenu.cpp
scmessagebox.cpp
sctoolbar.cpp
search.cpp
seiten.cpp
selection.cpp
selfield.cpp
serializer.cpp
shadebutton.cpp
smlinestyle.cpp
spalette.cpp
splash.cpp
stencilreader.cpp
story.cpp
styleitem.cpp
stylemanager.cpp
styleselect.cpp
tabcheckdoc.cpp
tabguides.cpp
tabmanager.cpp
tabpdfoptions.cpp
tabruler.cpp
tabtools.cpp
tabtypography.cpp
tocgenerator.cpp
tocindexprefs.cpp
tree.cpp
undogui.cpp
undomanager.cpp
undoobject.cpp
undostate.cpp
units.cpp
unzip.c
upgradechecker.cpp
useprintermarginsdialog.cpp
util.cpp
vgradient.cpp
vgradientex.cpp
vruler.cpp
werktoolb.cpp
)

IF(QT_WRAP_UI)
QT_WRAP_UI(scribus SCRIBUS_UI_H SCRIBUS_UI_CPP ${SCRIBUS_UI_SRC} )
ENDIF(QT_WRAP_UI)

IF(QT_WRAP_CPP)
  SCRIBUS_QT_WRAP_CPP(SCRIBUS_MOC_SOURCES ${SCRIBUS_MOC_CLASSES})
ENDIF(QT_WRAP_CPP)

LINK_DIRECTORIES(
text
pixbuf
)

IF(RENDER_LIB STREQUAL "LIBART")
  LINK_DIRECTORIES(libart)
ENDIF(RENDER_LIB STREQUAL "LIBART")

SET(SCRIBUS_LIBART_LIB "scribus_libart_lib")
SET(SCRIBUS_PIXBUF_LIB "scribus_pixbuf_lib")
SET(SCRIBUS_TEXT_LIB "scribus_text_lib")

INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_CURRENT_SOURCE_DIR}
)

SET(EXE_NAME "scribus${TAG_VERSION}")

ADD_EXECUTABLE(${EXE_NAME}
  ${SCRIBUS_MOC_SOURCES}
  ${SCRIBUS_SOURCES}
  ${SCRIBUS_UI_CPP}
  ${SCRIBUS_TEXT_SOURCES}
)

TARGET_LINK_LIBRARIES(${EXE_NAME}
${SCRIBUS_TEXT_LIB}
${SCRIBUS_PIXBUF_LIB}
)

IF(RENDER_LIB STREQUAL "LIBART")
  TARGET_LINK_LIBRARIES(${EXE_NAME}
  ${SCRIBUS_LIBART_LIB}
  )
ENDIF(RENDER_LIB STREQUAL "LIBART")

INSTALL(TARGETS ${EXE_NAME}
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION lib)

=== scribus/icons/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

INSTALL(FILES
above.png
acrobat.png
acroread.png
addf.png
AddNode.png
AddPoint.png
al_bottom_in.png
al_bottom_out.png
al_center_hor.png
al_center_ver.png
alert.png
AllCaps.png
al_left_in.png
al_left_out.png
al_right_in.png
al_right_out.png
al_top_in.png
al_top_out.png
AppIcon2.png
AppIcon.png
back.png
below.png
BevelJoin.png
BezierClose.png
beziertool16.png
beziertool.png
Bild16.xpm
Bild.xpm
blend.png
bottom.png
ButtCap.png
charset.png
checkbox.png
checkdoc.png
cmyk.png
colorpicker.png
combobox.png
compfile16.png
compfile.png
Corner.xpm
crop.png
DateiClos16.png
DateiClose.png
DateiNeu16.png
DateiNeu.xpm
DateiOpen16.png
DateiOpen.xpm
DateiPrint16.png
DateiPrint.xpm
DateiSave16.png
DateiSave2.png
Deletelayer.png
DeleteNode.png
DelPoint.png
dist22.png
dist.png
distribute_bottom.png
distribute_hcentre.png
distribute_hdist.png
distribute_hdist_val.png
distribute_left.png
distribute_right.png
distribute_top.png
distribute_vcentre.png
distribute_vdist.png
distribute_vdist_val.png
docattributes.png
doc.png
document2.png
documentinfo32.png
documentinfo.png
down.png
DragPix.xpm
DrawFrame.xpm
DrawImageFrame.xpm
DrawPolylineFrame.xpm
DrawTable.xpm
DrawTextFrame.xpm
editcopy22.png
editcopy.png
editcut22.png
editcut.png
editdelete22.png
editdelete.png
Editm.xpm
editpaste.png
edittrash.png
exit22.png
exit.png
expand.png
externaltools.png
filenew.png
fileopen.png
filesaveas.png
fill.png
find16.png
find.png
finish.png
firstline.png
FlipH.xpm
FlipV.xpm
font_otf16.png
font_otf.png
font.png
font_truetype16.png
font_truetype.png
font_type1_16.png
font_type1.png
forward.png
framenoresize.png
frameresize.png
frame_table16.png
frame_table.png
gohome.png
goto.png
guides.png
HandC.xpm
hmirror.png
Hoch.xpm
hyphenate.png
image.png
irreg.png
Kapital.xpm
Kern.xpm
key_bindings.png
Kreise.xpm
Kreuz.xpm
launch16.png
launch.png
Layervisible.xpm
leftindent.png
linespacing.png
listbox.png
locked.png
Lock.xpm
Lowerlayer.png
lower.png
lower-to-bottom.png
Lupe.xpm
LupeZ.xpm
misc.png
MiterJoin.png
MoveAsym.png
MoveKontrol.png
MoveNode.png
mover.png
MoveSym.png
Newlayer.png
nftabout.xpm
nftinfo.xpm
noicon.xpm
NoPrint.png
ok22.png
ok.png
ooo_draw.png
ooo_writer.png
outlined.png
page16.png
pagedouble16.png
pagedouble.png
page.png
pagequadro16.png
pagequadro.png
pagesingle16.png
pagesingle.png
pagetriple16.png
pagetriple.png
pdf.png
penciladd.png
pencilsub.png
plugins.png
PolyCut.png
postscript.png
pushbutton.png
python.png
Raiselayer.png
raise.png
raise-to-top.png
Rechtecke.xpm
register.png
reload16.png
reload.png
removef.png
Reset1Node.png
ResetNode.png
Revers.png
revert.png
rgb.png
rotate_ccw.png
rotate_cw.png
Rotieren2.png
Rotieren.xpm
RoundCap.png
RoundJoin.png
scrap.png
screen.png
scribusdoc16.png
scribusdoc.png
scribusicon.png
scribus_logo.jpg
shade.png
shadow.png
shear_down.png
shear_left.png
shear_right.png
shear_up.png
shortwords.png
signature2.png
signature.png
Spacing.xpm
spiral.png
Splash.png
spline16.png
spline.png
Split.png
spot.png
SquareCap.png
start.png
Stift16.xpm
Stiftalt16.xpm
Stiftalt.xpm
Stift.xpm
stoplaunch16.png
stoplaunch.png
Strike.xpm
tab.png
tabtocindex.png
testfill.png
Text16.xpm
Text2.xpm
textbase.png
text_block.png
text_center.png
text_force.png
textkern.png
text_left.png
text_right.png
textscaleh.png
textscalev.png
textview.png
Text.xpm
Tief.xpm
tools.png
top.png
trashcan2.png
trashcan.png
triangle.png
txt.png
typography.png
u_align.png
u_arrow.png
u_create.png
u_cut.png
u_delete.png
u_disableprint.png
u_enableprint.png
u_eps.png
u_fill.png
u_fliph.png
u_flipv.png
u_font.png
u_group.png
u_line.png
u_lock.png
u_margins_locked.png
u_margins.png
u_move.png
u_multiple.png
unlock.png
Unlock.xpm
Unter.xpm
up.png
u_redo16.png
u_redo.png
u_resize.png
u_rotate.png
u_scale_image.png
u_shade.png
u_shape.png
u_svg.png
u_transp.png
u_undo16.png
u_undo.png
u_unlock.png
vectorgfx.png
viewmag1.png
viewmagin.png
viewmagout.png
view.png
vmirror.png
Winkel.xpm
wizard.png
wordsOnly.png
Zeichen.xpm
  DESTINATION ${ICONDIR}
)

=== scribus/profiles/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
#Fogra27L.icm
Readme
sRGB.icm
srgb.license
  DESTINATION ${LIBDIR}profiles
)

=== scribus/plugins/colorwheel/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/scribus
)

SET(COLORWHEEL_PLUGIN_MOC_CLASSES
  colorwheel.h
  colorwheelwidget.h
  cwdialog.h
  cwsetcolor.h
)

SET(COLORWHEEL_PLUGIN_SOURCES
  colorwheel.cpp
  colorwheelwidget.cpp
  cwdialog.cpp
  cwsetcolor.cpp
)

SET(SCRIBUS_COLORWHEEL_PLUGIN "colorwheel")

IF(QT_WRAP_CPP)
  SCRIBUS_QT_WRAP_CPP(COLORWHEEL_PLUGIN_MOC_SOURCES ${COLORWHEEL_PLUGIN_MOC_CLASSES})
ENDIF(QT_WRAP_CPP)

ADD_LIBRARY(${SCRIBUS_COLORWHEEL_PLUGIN} MODULE ${COLORWHEEL_PLUGIN_SOURCES} ${COLORWHEEL_PLUGIN_MOC_SOURCES})

INSTALL(TARGETS ${SCRIBUS_COLORWHEEL_PLUGIN}
  LIBRARY
  DESTINATION ${PLUGINDIR}
  PERMISSIONS ${PLUGIN_PERMISSIONS}
)

# SET_TARGET_PROPERTIES(${SCRIBUS_COLORWHEEL_PLUGIN} PROPERTIES VERSION "0.0.0")

=== debian/changelog ===
scribus-ng (1.3.3.6.dfsg-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue,  5 Dec 2006 15:28:45 -0700

scribus-ng (1.3.3.5.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_profiles_makefile_am.dpatch: Reflecte the removal of the
    non-free ICC profile.
  * debian/patches/02_top_makefile_am.dpatch: Install the scribus.xml mime
    types file as scribus-ng.xml.
  * debian/rules: Remove the erroneous `/usr/share/scribus/' directory before
    building the package.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 10 Nov 2006 12:57:17 -0700

scribus-ng (1.3.3.4.dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/scribus-ng.xml: Removed this file as the upstream included it in
    this release.
  * debian/rules: Added a rule to remove /usr/share/doc/scribus as I couldn't
    find the makefile rule that created it.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue,  3 Oct 2006 10:29:33 -0600

scribus-ng (1.3.3.3.dfsg-2) unstable; urgency=low

  * Revert relibtoolization for now to fix the problem with building shared
    objects for plugins.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 10 Aug 2006 13:48:39 -0600

scribus-ng (1.3.3.3.dfsg-1) unstable; urgency=low

  * New upstream release on 2006-08-07. Performed removal of the non-free doc
    and profile directories, install location relocation, and source
    libtoolization (libtoolize -c -f; aclocal; autoconf).
  * debian/patches: Removed the patch for admin/cvs.sh that was folded into
    the upstream source.
  * debian/control: Added an explicit dependency on liblcms1 (>= 1.13) in
    order to override the ${shlibs:Depends} that creates a dependency on 1.08
    (Closes: #379077) finally.
  * Updated for the new python policy compatibility (Closes: #380947).
    + debian/pycompat: Added this file with a value of "2" per new python
      policy.
    + debian/control: 
      - Changed debhelper dependency from "4" to "5.0.37.2".
      - Added ${python:Depends} to the Depends field.
      - Added a XB-Python-Version: ${python:Versions} field.
      - Added a "Provides: ${python:Provides}" field.
      - Changed "python2.3-dev" to python-all-dev (>= 2.3.5-11) in
        Build-Depends.
  * debian/scribus-ng.lintian: Updated lintian overrides.
  * debian/scribus-ng.lintian: Added a linda override for the "is not an ELF
    file or script" warning for .la files.
  * debian/watch: Updated the watch regex to accomodate a four digit version
    number.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue,  8 Aug 2006 17:21:39 -0600

scribus-ng (1.3.3.2.dfsg-2) unstable; urgency=medium

  * debian/patches/02-cvs_sh.dpatch: Added a patch that fixes autoconf-2.60
    detection failure (Closes: #379893). Setting urgency=medium for this.
  * debian/control: Checked the liblcms1 dependency and it is >= 1.13 
    (Closes: #379077).
  * debian/scribus-ng.lintian: Updated lintian overrides.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 28 Jul 2006 13:19:41 -0600

scribus-ng (1.3.3.2.dfsg-1) unstable; urgency=low

  * New upstream release on May 27th, 2006. This release is compatible with
    libfreetype6-2.2 and should fix the FTBFS on s390 (Closes: #370574).
  * debian/control: Updated Standards-Version to 3.7.2.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 06 Jun 2006 10:48:32 -0600

scribus-ng (1.3.3.1.dfsg-1) unstable; urgency=low

  * First upload into Debian (Closes: #362266).
  * New upstream point release of the developmental branch of Scribus on April
    10, 2006.
  * debian/rules:
    - Fixed a rule to delete upstream COPYING file as it was looking in
      $(package)/share/ instead of $(package)/usr/share/.
    - Changed the 'dh_clean -k' rule in 'install-stamp:' to 'dh_clean' to
      completely clean the build directories as I don't build multiple
      binaries from this source anymore.
    - Moved dh_install above the manual rules.
    - Added a rule to move the dictionary README files to
      /usr/share/scribus-ng/doc/dicts..
    - Added a rule to remove INSTALL and README.MacOSX files from
      /usr/share/doc/scribus-ng as per lintian warnings.
  * debian/scribus-ng.dirs: Added a rule to create a
    /usr/share/doc/scribus-ng/dicts directory for dictionary readme files.
  * debian/patches/01_Makefile.am.dpatch: Prepared a monolithic patch to
    convert scribus into scribus-ng at build time.
  * Removed unneeded scribus-ng.links file.
  * debian/scribus-ng.lintian: Added a minimal set of necessary overrides for
    the script-not-executable, executable-not-elf-or-script, and
    shlib-with-executable-bit warnings.
  * debian/control: Removed the scribus-cvs dummy package and updated
    description to point out that scribus-ng will be tracking developmental
    branch of scribus.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 11 Apr 2006 11:45:49 -0600

scribus-ng (1.3.2+cvs20060405-1) unstable; urgency=low

  * Upstream cvs update on 2006-04-05 branched into a 1.3.3.1 branch for
    stabilization before a release.
  * Changed the name to scribus-ng package in preparation of the introduction
    of this package into Debian/main archive and switch from cvs to
    subversion upstream, so -cvs is not going to be an appropriate suffix.
  * Edited in place every Makefile.am file to change the DOCDIR to scribus1.2
    for now. I'll do it upstream of Debian packaging later.
  * Edited in place every Makefile.am file to change the LIBDIR to scribus1.2
    for now. I'll do it upstream of Debian packaging later.
  * debian/control:
    - Changed package name from scribus-cvs to scribus-ng.
    - Added scribus-cvs to Conflicts and Replaces fields to ensure a smooth
      upgrade.
  * debian/NEWS: Updated the news file to reflect this switch in packaging.
  * debian/copyright: Verified and updated the copyright information.
  * debian/rules:
    - Changed rules to reflect the package name change.


=== debian/control ===
Source: scribus-ng
Section: graphics
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Build-Depends: debhelper (>= 4), gcc (>=3.3.5), autoconf (>=2.57), automake1.9 (>=1.9), libqt3-mt-dev (>= 3.3.4), libqt3-compat-headers (>= 3.3.4), libart-2.0-dev, zlib1g-dev, liblcms1-dev (>= 1.13), libtiff4-dev, libcupsys2-dev, libxml2-dev (>= 2.6.16), dpatch, gettext, xutils, python-all-dev (>= 2.3.5-11)
Standards-Version: 3.7.2

Package: scribus-ng
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, gs-gpl (>= 8.01) | gs-afpl (>= 8.14) | gs-esp (>= 7.07), python-tk, liblcms1 (>= 1.13)
Recommends: xfonts-scalable | gsfonts-x11
Suggests: scribus-template
Conflicts: scribus-cvs
Replaces: scribus-doc-de, scribus-doc-en, scribus-doc-fr, scribus-template (<=1.2.0.final+cvs20041227-1), scribus-cvs
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Open Source Desktop Page Layout - developmental branch
 .
 This is the developmental branch of Scribus - the open source desktop page
 layout program. This package is intended for tracking fast-paced development
 of scribus to make new features available to those who need them.
 .
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript, primarily, though
 not exclusively for Linux.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation. It has
 sophisticated page layout features like precision placing and rotating of text
 and/or images on a page, manual kerning of type, bezier curves polygons,
 precision placement of objects, layering with RGB and CMYK custom colors. The
 Scribus document file format is XML-based. Unlike proprietary binary file
 formats, even damaged documents, can be recovered with a simple text editor.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT3.
 .
 Printing, PDF and SVG creation are done via custom driver libraries and
 plug-ins, giving Scribus inventive features: the abilities to include
 presentation effects with PDF output, fully scriptable interactive PDF
 forms, SVG vector file output. The internal printer drivers fully support
 Level 2 and Level 3/PDF 1.4 postscript features including transparency and
 font embedding.
 .
 When run from KDE, Drag and Drop, for example from desktop to the canvas,
 is enabled. There is easy to use drag and drop scrapbook for frequently
 used items such as text blocks, pictures and custom shaped frames.
 .
 Homepage: http://www.scribus.net/

=== debian/rules ===
#!/usr/bin/make -f

package=scribus-ng

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEBIAN_DIR = $(shell pwd)/debian

patchdir = $(DEBIAN_DIR)/patches
patches = $(shell ls $(patchdir) | sort)
rev_patches = $(shell ls $(patchdir) | sort -r)

ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux)
OPT_FLAG = -O0
else
OPT_FLAG = -O2
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

OPT_FLAG += -g -Wall

patch-stamp:
	dpatch apply-all
	touch patch-stamp

unpatch:
	dpatch deapply-all
	rm -rf patch-stamp debian/patched

build: patch-stamp build-stamp
build-stamp:
	dh_testdir
	dh_clean

	$(MAKE) -f Makefile.cvs

	CFLAGS="$(OPT_FLAG)" \
	CXXFLAGS="$(OPT_FLAG)" \
	./configure				\
		--prefix=/usr			\
		--sysconfdir=/etc		\
		--infodir=/usr/share/info	\
		--mandir=/usr/share/man		\

	$(MAKE)

	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	-rm -f build-stamp install-stamp
	-$(MAKE) distclean
	-rm -f config.cache config.log config.status
	-rm -f scribus/*.orig scribus/*.rej
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	dh_install
	$(MAKE) install					\
		prefix=$(DEBIAN_DIR)/$(package)/usr	\
		mandir=$(DEBIAN_DIR)/$(package)/usr/share/man \
		datadir=$(DEBIAN_DIR)/$(package)/usr/share
	mv $(DEBIAN_DIR)/$(package)/usr/bin/scribus $(DEBIAN_DIR)/$(package)/usr/bin/scribus-ng
	mv $(DEBIAN_DIR)/$(package)/usr/share/pixmaps/scribusicon.png $(DEBIAN_DIR)/$(package)/usr/share/pixmaps/scribus-ng.png
	mv $(DEBIAN_DIR)/$(package)/usr/share/man/man1/scribus.1 $(DEBIAN_DIR)/$(package)/usr/share/man/man1/scribus-ng.1
	mv $(DEBIAN_DIR)/$(package)/usr/share/man/pl/man1/scribus.1 $(DEBIAN_DIR)/$(package)/usr/share/man/pl/man1/scribus-ng.1
	mv $(DEBIAN_DIR)/$(package)/usr/lib/scribus-ng/dicts/README*txt $(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/dicts/
	gzip -9 $(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/dicts/README*txt
	rm -rf $(DEBIAN_DIR)/$(package)/usr/include \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus #\
#	$(DEBIAN_DIR)/$(package)/usr/share/scribus
	rm -f $(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/ChangeLogCVS \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/ChangeLog \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/INSTALL \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/README.MacOSX \
	$(DEBIAN_DIR)/$(package)/usr/share/doc/scribus-ng/COPYING \
	$(DEBIAN_DIR)/$(package)/usr/share/scribus-ng/scripts/COPYING

	for i in linda lintian ; do \
	  install -m644 debian/scribus-ng.$$i $(DEBIAN_DIR)/$(package)/usr/share/$$i/overrides/scribus-ng ; \
	  install -m644 debian/scribus-ng.$$i $(DEBIAN_DIR)/$(package)/usr/share/$$i/overrides/scribus-ng ; \
	done

	touch install-stamp


binary-indep: build install
	dh_testdir
	dh_testroot


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a README AUTHORS TODO
	dh_installmenu -a
	dh_installchangelogs ChangeLog
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	chmod 755 $(DEBIAN_DIR)/$(package)/usr/lib/scribus-ng/plugins/*
	chmod 755 $(DEBIAN_DIR)/$(package)/usr/lib/scribus-ng/plugins/*/*
	rm -rf $(DEBIAN_DIR)/$(package)/usr/share/scribus/
	dh_installdeb -a
	dh_desktop -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://prdownloads.sourceforge.net/scribus/scribus-1.3.[0-9].[0-9].tar.bz2

## scribus-ng 1.3.3.7.dfsg

=== scribus/loremipsum/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
"${CMAKE_SOURCE_DIR}/scribus"
)

INSTALL(FILES
arabic.xml
czech.xml
finnish.xml
german.xml
greek.xml
hebrew.xml
italian.xml
loremipsum.xml
russian.xml
  DESTINATION ${SHAREDIR}loremipsum
)

## scribus-ng 1.3.3.8.dfsg

=== CMakeLists.txt ===
#CMAKE SETUP
#Require 2.4.2 for Qt finding
#Require 2.4.3 for moc change detection
#Require 2.4.3 for rpath updates for custom cairo install
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.3 FATAL_ERROR)

SET(CMAKE_COLOR_MAKEFILE ON)
SET(CMAKE_VERBOSE_MAKEFILE ON)
SET(CMAKE_INCLUDE_CURRENT_DIR TRUE)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
#SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
#SET(CMAKE_SKIP_RPATH:BOOL NO)
SET(CMAKE_SKIP_RULE_DEPENDENCY TRUE)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
# SET(CMAKE_SHARED_MODULE_LINK_FLAGS "${CMAKE_SHARED_MODULE_LINK_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_MODULE_LINK_CXX_FLAGS "${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_C_FLAGS "${CMAKE_SHARED_LIBRARY_C_FLAGS} -export-dynamic")
# SET(CMAKE_SHARED_LIBRARY_CXX_FLAGS "${CMAKE_SHARED_LIBRARY_CXX_FLAGS} -export-dynamic")
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_MODULE_LINK_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_C_FLAGS})
# MESSAGE(STATUS ${CMAKE_SHARED_LIBRARY_CXX_FLAGS})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_MODULE})
# MESSAGE(STATUS ${CMAKE_CXX_CREATE_SHARED_LIBRARY})

#IMPORT FROM COMMANDLINE
# SET with cmake -DWANT_CAIRO=1, etc
# MESSAGE(STATUS ${WANT_CAIRO})
# MESSAGE(STATUS ${WANT_LIBART})
# MESSAGE(STATUS ${WANT_DEBUG})

# SET(WANT_CAIRO 0)
# SET(WANT_LIBART 1)

#PROJECT SETUP
PROJECT(scribus)
SET (VERSION_MAJOR "1")
SET (VERSION_MINOR "3")
SET (VERSION_PATCH "3.8")
SET (VERSION_SUFFIX "")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${VERSION_SUFFIX})
MESSAGE(STATUS "Scribus ${VERSION} will be built to install into ${CMAKE_INSTALL_PREFIX}")

SET(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

SET(MAIN_DIR_NAME "scribus")
IF(TAG_VERSION)
  MESSAGE(STATUS "Previously selected version tag: ${TAG_VERSION}")
  SET(WANT_VERSIONING 1)
  SET(CACHED_VERSIONING 1)
ENDIF(TAG_VERSION)
IF (WANT_VERSIONING AND NOT CACHED_VERSIONING)
  IF (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
  ELSE (NOT CUSTOM_VERSIONTAG)
    SET(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
  ENDIF (NOT CUSTOM_VERSIONTAG)
ENDIF (WANT_VERSIONING AND NOT CACHED_VERSIONING)

#MAN
SET(MANDIR "share/man/")
SET(SHAREDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/")
ADD_DEFINITIONS("-DSHAREDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SHAREDIR}\\\"")
#SHARE
IF(TAG_VERSION)
  SET(DOCDIR "share/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
ELSE(TAG_VERSION)
  SET(DOCDIR "share/doc/${MAIN_DIR_NAME}-${VERSION}/")
ENDIF (TAG_VERSION)
ADD_DEFINITIONS("-DSHAREDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SHAREDIR}\\\"")
SET(DOCDIR "share/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
ADD_DEFINITIONS("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")
SET(ICONDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/icons/")
ADD_DEFINITIONS("-DICONDIR=\\\"${CMAKE_INSTALL_PREFIX}/${ICONDIR}\\\"")
SET(SAMPLESDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/samples/")
ADD_DEFINITIONS("-DSAMPLESDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SAMPLESDIR}\\\"")
SET(SCRIPTSDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/scripts/")
ADD_DEFINITIONS("-DSCRIPTSDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SCRIPTSDIR}\\\"")
SET(TEMPLATEDIR "share/${MAIN_DIR_NAME}${TAG_VERSION}/templates/")
ADD_DEFINITIONS("-DTEMPLATEDIR=\\\"${CMAKE_INSTALL_PREFIX}/${TEMPLATEDIR}\\\"")
SET(LIBDIR "lib/${MAIN_DIR_NAME}${TAG_VERSION}/")
ADD_DEFINITIONS("-DLIBDIR=\\\"${CMAKE_INSTALL_PREFIX}/${LIBDIR}\\\"")
SET(PLUGINDIR "lib/${MAIN_DIR_NAME}${TAG_VERSION}/plugins/")
ADD_DEFINITIONS("-DPLUGINDIR=\\\"${CMAKE_INSTALL_PREFIX}/${PLUGINDIR}\\\"")
set(CMAKE_INSTALL_RPATH ${PLUGINDIR})

# Set the XDG mime stuff
SET(MIMEDIR "share/mime/packages/")


#BUILD SETUP
#None, Debug, Release, .. or custom ones
#SET(WANT_DEBUG 1)
IF(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE Debug)
ELSE(WANT_DEBUG)
  SET(CMAKE_BUILD_TYPE RELEASE)
ENDIF(WANT_DEBUG)

IF(APPLE)
  SET( ENV{MACOSX_DEPLOYMENT_TARGET} 10.3 ) 
  SET( ENV{LD_PREBIND} 1 )
  SET( ENV{LD_PREBIND_ALLOW_OVERLAP} 1 )
  SET(CMAKE_CXX_FLAGS_DEBUG "-O2 -g3 -fno-inline-functions -Wall")
  SET(CMAKE_C_FLAGS_DEBUG "-O2 -g3 -fno-inline-functions -Wall")
  SET(BUILD_MAC_BUNDLE 1)
ELSE(APPLE)
  SET(CMAKE_CXX_FLAGS_DEBUG "-O0 -g3 -Wall")
  SET(CMAKE_C_FLAGS_DEBUG "-O0 -g3 -Wall")
ENDIF(APPLE)
SET(CMAKE_CXX_FLAGS_RELEASE "-O2 -Wall")
SET(CMAKE_C_FLAGS_RELEASE "-O2 -Wall")


INCLUDE (${CMAKE_ROOT}/Modules/TestBigEndian.cmake)
TEST_BIG_ENDIAN(WORDS_BIGENDIAN)

#FIND DEPENDENCIES
# START QT
SET (QT_MT_REQUIRED true)
SET (QT_MIN_VERSION "3.3.4")
FIND_PACKAGE(Qt3 REQUIRED)
IF (QT_FOUND)
  MESSAGE("Qt3 Found OK (${qt_version_str})")
#   MESSAGE("$ENV{QTDIR}")
#   MESSAGE("${QT_MOC_EXECUTABLE}")
#   MESSAGE("${QT_UIC_EXECUTABLE}")
#   MESSAGE("${QT_QT_LIBRARY}")
#   MESSAGE("${QT_INCLUDE_DIR}")
#   MESSAGE("${qt_version_str}")
#   MESSAGE(${qt_version_str_lib})
ELSE(QT_FOUND)
  MESSAGE(FATAL_ERROR "No Qt3")
ENDIF(QT_FOUND)
# END QT
# START PNG, JPEG, TIFF
FIND_PACKAGE(PNG REQUIRED)
IF (PNG_FOUND)
  MESSAGE("PNG Library Found OK")
ENDIF(PNG_FOUND)
FIND_PACKAGE(JPEG REQUIRED)
IF (JPEG_FOUND)
  MESSAGE("JPEG Library Found OK")
ENDIF(JPEG_FOUND)
FIND_PACKAGE(TIFF REQUIRED)
IF (TIFF_FOUND)
  MESSAGE("TIFF Library Found OK")
  SET(HAVE_TIFF 1)
ELSE(TIFF_FOUND)
  MESSAGE(FATAL_ERROR "Could not find the TIFF Library")
ENDIF(TIFF_FOUND)
FIND_PACKAGE(ZLIB REQUIRED)
IF (ZLIB_FOUND)
  MESSAGE("ZLIB Library Found OK")
  SET(HAVE_LIBZ 1)
ENDIF(ZLIB_FOUND)
FIND_PACKAGE(PythonLibs REQUIRED)
IF (PYTHON_LIBRARY)
  MESSAGE("Python Library Found OK")
  SET(HAVE_PYTHON 1)
  SET(COMPILE_PYTHON 1)
ENDIF(PYTHON_LIBRARY)

# START FREETYPE
SET(FREETYPE_DIR ${CMAKE_MODULE_PATH})
FIND_PACKAGE(FREETYPE REQUIRED)
IF (FREETYPE_FOUND)
  MESSAGE("FreeType2 Library Found OK")
  CHECK_LIBRARY_EXISTS(libfreetype.so FT_Get_First_Char "" HAVE_FREETYPE_FIRST)
  CHECK_LIBRARY_EXISTS(libfreetype.so FT_Get_Next_Char "" HAVE_FREETYPE_NEXT)
ENDIF(FREETYPE_FOUND)
#FIXME: if cflags empty add, otherwise replace as now
SET(CFLAGS "${LIBFREETYPE_CFLAGS}")
# END FREETYPE

# If we have a RENDER_LIB selected from a previous cmake run, then use it
# otherwise, we should be defaulting to Libart_LGPL for 1.3.3.x
IF(RENDER_LIB)
  MESSAGE(STATUS "Previously selected rendering system: ${RENDER_LIB}")
ELSE(RENDER_LIB)
  IF (NOT WANT_CAIRO)
    SET(WANT_LIBART 1)
  ENDIF (NOT WANT_CAIRO)
ENDIF(RENDER_LIB)

# START LIBART_LGPL
IF (WANT_LIBART OR RENDER_LIB STREQUAL "LIBART")
  SET(LIBART_LGPL_DIR ${CMAKE_MODULE_PATH})
  FIND_PACKAGE(LIBART_LGPL REQUIRED)
  IF(LIBART_LGPL_FOUND)
    SET(RENDER_LIB "LIBART" CACHE TYPE STRING)
    MESSAGE("Libart_LGPL Library Found OK")
  ELSE(LIBART_LGPL_FOUND)
    SET(OLDRENDERLIBLOST TRUE)
  ENDIF(LIBART_LGPL_FOUND)
ELSE (WANT_LIBART OR RENDER_LIB STREQUAL "LIBART")
  # START CAIRO
  SET(CAIRO_DIR ${CMAKE_MODULE_PATH})
  FIND_PACKAGE(CAIRO)
  IF(CAIRO_FOUND)
    MESSAGE("CAIRO Library Found OK")
    SET(RENDER_LIB "CAIRO" CACHE TYPE STRING)
  ELSE(CAIRO_FOUND)
    SET(OLDRENDERLIBLOST TRUE)
  ENDIF(CAIRO_FOUND)
  # END CAIRO
ENDIF (WANT_LIBART OR RENDER_LIB STREQUAL "LIBART")
# END LIBART_LGPL

IF(NOT RENDER_LIB OR OLDRENDERLIBLOST)
  MESSAGE(FATAL_ERROR "ERROR: Neither LibArt_LGPL nor cairo have been selected or found, please correct and restart cmake")
ENDIF(NOT RENDER_LIB OR OLDRENDERLIBLOST)


# START CUPS
SET(CUPS_DIR ${CMAKE_MODULE_PATH})
FIND_PACKAGE(CUPS REQUIRED)
IF(CUPS_FOUND)
  SET(HAVE_CUPS 1)
  MESSAGE("CUPS Library Found OK")
ENDIF(CUPS_FOUND)
# END CUPS

# START LIBXML2
SET(LIBXML2_DIR ${CMAKE_MODULE_PATH})
FIND_PACKAGE(LIBXML2 REQUIRED)
IF(LIBXML2_FOUND)
  SET(HAVE_XML 1)
  MESSAGE("LIBXML2 Library Found OK")
ENDIF(LIBXML2_FOUND)
# END LIBXML2

# START LCMS
SET(LCMS_DIR ${CMAKE_MODULE_PATH})
FIND_PACKAGE(LCMS REQUIRED)
IF(LCMS_FOUND)
  SET(HAVE_CMS 1)
  SET(CMS_INC "lcms.h")
  MESSAGE("LittleCMS Library Found OK")
ELSE(LCMS_FOUND)
  MESSAGE(FATAL_ERROR "Could not find the LittleCMS Library")
ENDIF(LCMS_FOUND)
# END LCMS

# START FONTCONFIG
SET(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
FIND_PACKAGE(FONTCONFIG)
IF(FONTCONFIG_FOUND)
	MESSAGE("FontConfig Found OK")
	SET(HAVE_FONTCONFIG 1)
ENDIF(FONTCONFIG_FOUND)
# END FONTCONFIG

ADD_DEFINITIONS(${QT_DEFINITIONS})

CHECK_INCLUDE_FILE("dlfcn.h" HAVE_DLFCN_H)
IF(HAVE_DLFCN_H)
  ADD_DEFINITIONS(-DHAVE_DLFCN_H)
ENDIF(HAVE_DLFCN_H)

CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)
IF(HAVE_UNISTD_H)
  ADD_DEFINITIONS(-DHAVE_UNISTD_H)
ENDIF(HAVE_UNISTD_H)

CHECK_INCLUDE_FILE("sys/types.h" HAVE_SYS_TYPES_H)
# IF(HAVE_SYS_TYPES_H)
#   ADD_DEFINITIONS(-DHAVE_SYS_TYPES_H)
# ENDIF(HAVE_SYS_TYPES_H)

CHECK_INCLUDE_FILE("sys/stat.h" HAVE_SYS_STAT_H)
# IF(HAVE_SYS_STAT_H)
#   ADD_DEFINITIONS(-DHAVE_SYS_STAT_H)
# ENDIF(HAVE_SYS_STAT_H)


#Create configure files.. config.h and uninstall
#config.h
INCLUDE (ConfigureChecks.cmake)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
ADD_DEFINITIONS("-DHAVE_CONFIG_H")
#uninstall
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

#Load our SCRIBUSQT package which gives us filename.moc instead of moc_filename.*
SET(SCRIBUSQT_DIR ${CMAKE_MODULE_PATH})
FIND_PACKAGE(SCRIBUSQT)

#Set up include dirs with all found packages
INCLUDE_DIRECTORIES(
${CMAKE_BINARY_DIR}
${CMAKE_BINARY_DIR}/scribus
${QT_INCLUDE_DIR}
${QT_INCLUDE_PATH}
${CUPS_INCLUDE_DIR}
${FREETYPE_INCLUDE_DIR}
${FONTCONFIG_INCLUDE_DIR}
${LCMS_INCLUDE_DIR}
${LIBXML2_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${JPEG_INCLUDE_DIR}
${PNG_INCLUDE_DIR}
${TIFF_INCLUDE_DIR}
${ZLIB_INCLUDE_DIR}
)

#Set up libraries to link with all found packages

#Select Libart_LGPL or Cairo
IF(RENDER_LIB STREQUAL "LIBART")
  INCLUDE_DIRECTORIES(${LIBART_LGPL_INCLUDE_DIR})
  LINK_LIBRARIES(${LIBART_LGPL_LIBRARIES})
ENDIF(RENDER_LIB STREQUAL "LIBART")
IF(RENDER_LIB STREQUAL "CAIRO")
  INCLUDE_DIRECTORIES(${CAIRO_INCLUDE_DIR})
  LINK_LIBRARIES(${CAIRO_LIBRARIES})
  LINK_DIRECTORIES(${PREFIX_CAIRO_LIB})
  SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_RPATH};${PREFIX_CAIRO_LIB}")
ENDIF(RENDER_LIB STREQUAL "CAIRO")

MESSAGE("RPATH: ${CMAKE_INSTALL_RPATH}")

LINK_LIBRARIES (
${QT_QT_LIBRARY}
${CUPS_LIBRARIES}
${FREETYPE_LIBRARIES}
${FONTCONFIG_LIBRARIES}
${LCMS_LIBRARIES}
${LIBXML2_LIBRARIES}
${PYTHON_LIBRARIES}
${TIFF_LIBRARIES}
${JPEG_LIBRARIES}
${ZLIB_LIBRARIES}
)

IF(WIN32)
  LINK_LIBRARIES(
    ${QT_QTMAIN_LIBRARY}
  )
ENDIF(WIN32)

IF(WIN32)
  ADD_DEFINITIONS(-DQT_DLL)
ENDIF(WIN32)

IF(APPLE)
  LINK_LIBRARIES( "-undefined dynamic_lookup" ) 
  LINK_LIBRARIES( "-framework CoreFoundation" ) 
ENDIF(APPLE)

#Add our source subdirs
ADD_SUBDIRECTORY(scribus)

#Install our READMEs etc.
INSTALL(FILES
AUTHORS
BUILDING
ChangeLog
ChangeLogCVS
COPYING
INSTALL
NEWS
PACKAGING
README
README.MacOSX
README.OS2
TODO

  DESTINATION ${DOCDIR}
)
INSTALL(FILES
scribus.xml
DESTINATION ${MIMEDIR}
)

# If the cmake version includes cpack, use it
IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Scribus is an open source publishing application for Linux, Mac OSX and Windows")
  SET(CPACK_PACKAGE_VENDOR "Scribus Team")
  SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
  SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/README")
  SET(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
  SET(CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
  SET(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}")
  SET(CPACK_PACKAGE_INSTALL_DIRECTORY "Scribus ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
  SET(CPACK_PACKAGE_EXECUTABLES "scribus${TAG_VERSION}")
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME "scribus-${VERSION}")
  SET(CPACK_SOURCE_GENERATOR TBZ2)
## I'll make this prettier later - ignore any tarballs in the root
